Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.taskdefs
Class DatabaseTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.nokia.ant.taskdefs.DatabaseTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class DatabaseTask

extends org.apache.tools.ant.Task

Reads the current ant project and a fileset and generates a xml file with a summary of targets, macros and properties.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`DatabaseTask()`

Method Summary
`void` | `execute()`
`void` | `setHomeFilesOnly(boolean homeFilesOnly)` If true only read files that are not in the helium dir.
`void` | `setOutput(java.io.File outputFile)`
`void` | `setRefid(org.apache.tools.ant.types.Reference r)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseTask

    public DatabaseTask()

Method Detail

### setOutput

    public void setOutput(java.io.File outputFile)

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference r)

### setHomeFilesOnly

    public void setHomeFilesOnly(boolean homeFilesOnly)

  If true only read files that are not in the helium dir.

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD